Bug 494461 - /etc/X11/prefdm picks semi-random graphical login service
/etc/X11/prefdm picks semi-random graphical login service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 20:59 EDT by Tom Horsley
Modified: 2014-03-16 23:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 10:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2009-04-06 20:59:40 EDT
Description of problem:

Apparently some well-intentioned individual taught /etc/X11/prefdm to
select a login service to use by querying the rpm database if there
is no /etc/sysconfig/desktop file.

The result of this is that after every update, the random hash order of the
rpms in the rpm database results in a different login service showing up first
in the list from the rpm query, resulting in very confusing behaviour for the
user of the system who is expecting the same login screen he had before
he updated the system.

Version-Release number of selected component (if applicable):
initscripts-8.93-1.x86_64

How reproducible:
depends on the ordering of the rpm query changing but could happen on
any update I imagine.

Steps to Reproduce:
1.install fedora 11, see gdm login screen
2.install updates, see kdm login screen.
3.
  
Actual results:
random login screen

Expected results:
just stick to one unless I explicitly change it please.

Additional info:
Perhaps if the code that does the rpm query would go ahead and write the
/etc/sysconfig/desktop file the first time it has to make the selection
everything would be nice and stable.
Comment 1 Bill Nottingham 2009-04-07 10:42:43 EDT
Fixed in http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=957ae84d22fea61b2cd41d4bb3c497b3a4a6cadd and the resulting followup.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.